Subject: Re: Poll WAS(Re: Support for multicast in the ForCES protocol

From: "(Ram Gopal )" <[email-masked]>
Date: Sat, 22 Nov 2003 15:41:36 -0500

Hello Jamal,

I knew products and also working on products  that are currently on the field and uses  reliable, unicast mechanism within FE-CE communication. They deal with huge amount of information and those equipment demands robust mechanisms. 

We can take this offline if you need more information.
 
Since you asked why you choose one over the other - they are specific  to company's business and technical decision and you may or may not get correct answer in this list.
  
BTW, FACT authors have built systems that uses unicast mechanism.

Regards
Ramg

> -----Original Message-----
> From: Forwarding and Control Element Separation
> [mailto:[email-masked]]On Behalf Of ext Jamal Hadi Salim
> Sent: Thursday, November 20, 2003 9:04 AM
> To: [email-masked]
> Subject: Poll WAS(Re: Support for multicast in the ForCES protocol
> 
> 
> Just changing the topic slightly since this topic is getting 
> thread time.
> 
> I would like to poll people who have deployed boxes; either 
> single chasis
> with multiple FEs and CEs or within a rack or multi-rack; I 
> believe this
> is what 90% of deployments that will happen with Forces.
> if you havent done the above but have opinions, just say so 
> but mention
> that you havent deployed something forces-like at the level mentioned
> above.
> 
> Did you deploy utilizing multicast or broadcast transport? If not why?
> And what did you use instead that solved the problem for you.
> 
> -In the early days for example multicast support was not
> widely available in hardware so you had to emulate it. For such cases,
> you are forgiven.
> - Another reason is maybe you found multicast/bcast to be too complex.
> Explain why.
> 
> cheers,
> jamal
> 
> PS: All cauthors of netlink2 have experience implementing a 
> forces-like
> protocol which used a variant of mcast/bcast in environments that
> got deployed at product level - thats why we feel very strongly about
> this issue. Note, we worked then and still work for different 
> companies
> now. So we may be biased.
> 
> PPS: This is a poll, it would be preferable to stick to the questions
> posed so i dont have to change the subject again.
>